Results 1 to 3 of 3

Thread: Virtualbox IN Kali

  1. #1
    Join Date
    2013-Mar
    Posts
    2

    Virtualbox IN Kali

    I am trying to install virtualbox in kali so I can use the metasploitable VM to learn Matesploit, and am hitting a wall. I can't figure of how to get around the error. I am using apt-get for the install, but fails with the following errors:
    Setting up virtualbox (4.1.18-dfsg-2.1) ...
    insserv: script virtualbox: service vboxdrv already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header
    dpkg: error processing virtualbox (--configure):
    subprocess installed post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of virtualbox-dkms:
    virtualbox-dkms depends on virtualbox (>= 4.1.18-dfsg-2.1); however:
    Package virtualbox is not configured yet.

    dpkg: error processing virtualbox-dkms (--configure):
    dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of virtualbox-qt:
    virtualbox-qt depends on virtualbox (= 4.1.18-dfsg-2.1); however:
    Package virtualbox is not configured yet.

    dpkg: error processing virtualbox-qt (--configure):
    dependency problems - leaving unconfigured
    Errors were encountered while processing:
    virtualbox
    virtualbox-dkms
    virtualbox-qt
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I've tried to configure virtualbox-dkms, but get more errors. This is the root problem, so I need to work this out. I've even tried to download the dpkg package and configure it through dpkg -i. The install goes through, but I can't run anything in it. I removed the packages and then moved on to try apt-get and that is where I am at. Any ideas?

    Thanks

  2. #2
    Join Date
    2013-Mar
    Posts
    269
    Can I ask why you would like to use metasploit in virtualbox? It is already part of Kali natively. By the looks of the output you provided it may be missing a few dependencies. Can you elaborate on the process you are trying to take to install virtual box (what commands are you using?).
    Fact, Science and the Pursuit of Knowledge. Working to secure your networks from threats; Outside and Within.

  3. #3
    Join Date
    2013-Apr
    Posts
    5
    I had kind of the same problem.

    Everything was installed and updated but Virtualbox wanted me to start its service in /etc/init.d/ - which did not work as I was not root and Virtualbox hinted me at the wrong name *lol*

    ls /etc/init.d/ showed the right name of the service.

    /etc/init.d/virtualbox wouldn't work and dkmesg gave me this:
    [36683.283643] warning: `VirtualBox' uses 32-bit capabilities (legacy support in use)

    Then I tried with root and BAM! everything runs smooth now

Similar Threads

  1. Replies: 3
    Last Post: 2017-12-23, 05:50
  2. Can't run VirtualBox on Kali 4.6.0
    By war_pig101 in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2017-05-07, 18:24

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •